Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.axis2
Class EndpointReferenceContextImpl

    java.lang.Object
      org.apache.ode.axis2.EndpointReferenceContextImpl

All Implemented Interfaces:
  EndpointReferenceContext

    public class EndpointReferenceContextImpl

extends java.lang.Object
implements EndpointReferenceContext

Constructor Summary
`EndpointReferenceContextImpl(ODEServer server)`

Method Summary
`EndpointReference` | `convertEndpoint(javax.xml.namespace.QName qName, org.w3c.dom.Element element)` Converts an endpoint reference from its XML representation to another type of endpoint reference.
`java.util.Map` | `getConfigLookup(EndpointReference epr)`
`EndpointReference` | `resolveEndpointReference(org.w3c.dom.Element element)` Resolve an end-point reference from its XML representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EndpointReferenceContextImpl

    public EndpointReferenceContextImpl(ODEServer server)

Method Detail

### resolveEndpointReference

    public EndpointReference resolveEndpointReference(org.w3c.dom.Element element)

  Description copied from interface: `EndpointReferenceContext`
  Resolve an end-point reference from its XML representation. The nature of the representation is determined by the integration layer. The BPEL engine uses this method to reconstruct `EndpointReference` objects that have been persisted in the database via `EndpointReference#toXML(javax.xml.transform.Result)` method.

  Specified by:
    `resolveEndpointReference` in interface `EndpointReferenceContext`
  Returns:
    reconsistituted `EndpointReference`

### convertEndpoint

    public EndpointReference convertEndpoint(javax.xml.namespace.QName qName,
                                             org.w3c.dom.Element element)

  Description copied from interface: `EndpointReferenceContext`
  Converts an endpoint reference from its XML representation to another type of endpoint reference.

  Specified by:
    `convertEndpoint` in interface `EndpointReferenceContext`
  Returns:
    converted EndpointReference, being of targetType

### getConfigLookup

    public java.util.Map getConfigLookup(EndpointReference epr)

  Specified by:
    `getConfigLookup` in interface `EndpointReferenceContext`
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD